package com.agentfactory.agentspeak.core.sensor;

import com.agentfactory.logic.update.interpreter.Sensor;
import com.agentfactory.platform.core.IMessage;

public class InboxSensor extends Sensor {

	@Override
	public void perceive() {
        for (IMessage message: agent.getInbox()) {
        	addBelief("message(" + message.getPerformative() + "," +
        				  message.getSender().toFOSString() + "," +
        				  message.getContent() + ")");
        }
	}

}
