package com.agentfactory.agentspeak.debugger;

import com.agentfactory.agentspeak.interpreter.Utilities;
import com.agentfactory.logic.update.lang.Predicate;

public class ComponentDescription {
	String id;
	String className;
	
	public ComponentDescription(Predicate id, String className) {
		this.id = Utilities.presenter.toString(id);
		this.className = className;
	}
	
	@Override
	public String toString() {
		return id + " -> " + className; 
	}
}
