package com.agentfactory.platform.core;

/**
 * Interface to be implemented by Agent Platforms
 * 
 * @author daithi
 */
public interface IAgentPlatform {

    public IPlatformServiceManager getPlatformServiceManager();

    public IAgentContainer getAgentContainer();

    public IArchitectureService getArchitectureService();

    public IScheduler getScheduler();

    public void setName( String name );

    public void setDomain( String domain );

    public String getFullName();

    public String getName();

    public String getDomain();
}
