/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.agentspeak.debugger.inspector;

import java.util.Observable;

import com.agentfactory.agentspeak.debugger.AgentSpeakStateManager;
import com.agentfactory.platform.core.IScheduler;
import com.agentfactory.visualiser.core.IAgentInspector;
import com.agentfactory.visualiser.core.IInspectorFactory;
import com.agentfactory.visualiser.core.IStateManager;

/**
 *
 * @author remcollier
 */
public class AgentSpeakInspectorFactory implements IInspectorFactory {
    public boolean handles(IStateManager manager) {
        return AgentSpeakStateManager.class.isInstance(manager);
    }

    public IAgentInspector create(IStateManager manager, IScheduler scheduler) {
        AgentSpeakInspector inspector = new AgentSpeakInspector();
        inspector.init(manager, scheduler);
        ((Observable) manager).addObserver(inspector);
        return inspector;
    }

}
