/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.agentspeak.interpreter;

import com.agentfactory.platform.core.AgentCreationException;
import com.agentfactory.platform.core.IAgent;
import com.agentfactory.platform.impl.AbstractArchitectureFactory;

/**
 *
 * @author remcollier
 */
public class AgentSpeakArchitectureFactory extends AbstractArchitectureFactory {
    public IAgent create(String name, Object design) throws AgentCreationException {
        ScriptBasedAgentSpeakAgent agent = new ScriptBasedAgentSpeakAgent(name);
		agent.construct((String) design);
        return agent;
    }

    public boolean filter(Object design) {
        if (String.class.isInstance(design)) {
            return ((String) design).endsWith(".aspeak");
        }
        return false;
    }
}
