/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.logic.agent.beliefManagement;

import com.agentfactory.logic.lang.FOS;
import com.agentfactory.logic.lang.TerImplication;
import com.agentfactory.logic.reasoner.Queryable;
import java.util.LinkedList;
import java.util.List;

/**
 *
 * @author rem
 */
public class BeliefRuleStore implements Queryable {
    private List<TerImplication> rules;

    public BeliefRuleStore() {
        rules = new LinkedList<TerImplication>();
    }
    
    public void addRule(TerImplication rule) {
        rules.add(rule);
    }

    public boolean hasType(String type) {
        return type.equals("BELIEF");
    }

    public List query(FOS query) {
        List list = new LinkedList();
        
        for (TerImplication rule:rules) {
            if (rule.getRight().matches(query)) {
                list.add(rule);
            }
        }

        return list;
    }

    public List<TerImplication> getRules() {
        return rules;
    }
}
